Magick::PathSmoothCurvetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothCurvetoAbs:
[legend]
Collaboration diagram for Magick::PathSmoothCurvetoAbs:
[legend]

## Public Member Functions

| PathSmoothCurvetoAbs (const Magick::Coordinate &coordinates_)
| PathSmoothCurvetoAbs (const CoordinateList &coordinates_)
| PathSmoothCurvetoAbs (const PathSmoothCurvetoAbs &original_)
| ~PathSmoothCurvetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2590 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const Magick::Coordinate & | coordinates_ | ) |

Definition at line 1850 of file Drawable.cpp.

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 1855 of file Drawable.cpp.

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const PathSmoothCurvetoAbs & | original_ | ) |

Definition at line 1860 of file Drawable.cpp.

Magick::PathSmoothCurvetoAbs::~PathSmoothCurvetoAbs | ( | void |  | ) |

Definition at line 1865 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathSmoothCurvetoAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1882 of file Drawable.cpp.

void Magick::PathSmoothCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1869 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp